<!DOCTYPE html>
<html lang="id">
<head>
    <script>
        function Submit() {
            var Nama = document.pendaftaran.Nama.value;
            if (Nama == "") {
                alert("Nama Tidak Boleh Kosong");
                Nama.Submit();
                return false;
            }
            var Email = document.pendaftaran.Email.value;
            if (Email == "") {
                alert("Email Tidak Boleh Kosong");
                Nama.Submit();
                return false;
            }
            var berangkat = document.pendaftaran.berangkat.value;
            if (berangkat = "") {
                alert("Masukan jadwal keberangkatan.");
                berangkat.Submit();
                return false;
            }
            var tujuan = document.pendaftaran.tujuan.value;
            if (tujuan = "") {
                alert("Masukan jadwal keberangkatan.");
                tujuan.Submit();
                return false;
            }
            var jumlah = document.pendaftaran.jumlah;
            if (jumlah.selectedIndex< 11) {
                alert("Masukan jadwal keberangkatan.");
                jumlah.Submit();
                return false;
            }
        } 
    </script>
    <style>
        .container{
            border: 2px;
            border-radius: 3px;
            background-color: cornsilk;
            display: flex;
            flex-direction: column;
            width: 500px;
            height: 300px;
            margin: 100px 400px;
            padding-top: 30px;
        }
        .label{
            text-align: left;
        }
        .form{
            text-align: center;
        }
        .klik{
            width: 100px;
            height: 50px;
            color: white;
            background-color: maroon;
        }
    </style>
</head>
<body>
    <div class="container">
        <form name="pendaftaran">
            <div class="form">
                <label class="label" style="margin-right: 140px;">Nama</label>
                <br/>
                <input type="text" name="Nama" placeholder="Masukan Nama lengkap">
            </div>
            <div class="form">
                <label class="label" style="margin-right: 140px;">Email</label>
                <br/>
                <input type="text" name="Email" placeholder="domain@gmail.com">
            </div>
            <div class="form">
                <label class="label" style="margin-right: 55px;">Jam Keberangkatan</label>
                <br/>
                <input type="time" name="berangkat" style="width: 175px;">
            </div>
            <div class="form">
                <label class="label" style="margin-right: 65px;">Tujuan Berangkat</label>
                <br/>
                <input name="tujuan" list="tujuan" style="width: 175px;">
                <datalist id="tujuan">
                    <option>Bandara Internasional Munchen, Jerman</option>>
                    <option>Bandara Internasional Hamad, Qatar</option>
                    <option>Bandara Internasional Hongkong</option>
                    <option>Bandara Internasional Narita, Jepang</option>
                    <option>Bandara Internasional Tokyo, Jepang</option>
                    <option>Bandara Internasional Incheon, Korea Selatan</option>
                    <option>Bandara Internasional Changi Singapura, Singapura</option>
                    <option>Bandara Internasional Zurich, Swiss</option>
                    <option>Bandara Internasional Heathrow, Britania Raya</option>
                    <option>Bandara Internasional Schiphol, Belanda</option>
                    <option>Bandara Internasional Wina, Austria</option>>
                </datalist>
            </div>
            <div class="form">
                <label class="label" style="margin-right: 100px;">Jumlah Tiket</label>
                <br/>
                <select name="jumlah" style="width: 180px;">
                    <option value="1">1</option>
                    <option value="2">2</option>
                    <option value="3">3</option>
                    <option value="4">4</option>
                    <option value="5">5</option>
                    <option value="6">6</option>
                    <option value="7">7</option>
                    <option value="8">8</option>
                    <option value="9">9</option>
                    <option value="10">10</option>
                </select>
            </div>
            <br/>
            <div class="form">
            <button class="klik" onclick="Submit()">Cek Validasi</button>
            </div>
        </form>
    </div>
</body>
</html>